Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		t1lib
Version:	5.1.0
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.foolabs.com/xpdf/
Group:		Text Tools
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-configure.in.patch
Patch1:		%{name}-%{version}-config.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	t1lib is a library for generating character- and string-glyphs from Adobe Type 1 fonts.
BuildRequires:	glibc
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXt-devel


%description
t1lib is a library for generating character- and string-glyphs from Adobe Type 1
fonts under UNIX. t1lib uses most of the code of the X11 rasterizer donated by IBM to the X11-project.
But some disadvantages of the rasterizer being included in X11 have been eliminated.
For more details see: http://www.foolabs.com/xpdf/

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -configure.in
%patch1 -p1 -b -config

%build
./configure --prefix=%_prefix \
--exec-prefix=%_prefix \
--bindir=%_bindir \
--libdir=%_libdir \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir
make without_doc

%install
%makeinstall
chmod +x $RPM_BUILD_ROOT%_libdir/*.so.5.*
mkdir -p $RPM_BUILD_ROOT%_datadir/fonts
cp -R Fonts/* $RPM_BUILD_ROOT%_datadir/fonts
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_datadir/fonts
%_datadir/%{name}/doc
%config (noreplace) %_datadir/%{name}/%{name}.config

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.0.1-2
- rebuilt against X.org 7.1.1
* Mon Oct 03 2005 Christian Wasem <wasem@ccux-linux.de> 5.0.1-1
- Initial Release
